Firefox WebDriver doesn't work with Firefox 32

0
0

I’ve just updated to Firefox 32, when I attempt to run my Selenium Webdriver Test, Im getting the following

Failed to start up socket within 45000 ms. Attempted to connect to the
following addresses: 127.0.0.1:7055 OpenQA.Selenium.WebDriverException
was unhandled by user code HResult=-2146233088 Message=Failed to
start up socket within 45000 ms. Attempted to connect to the following
addresses: 127.0.0.1:7055 Source=WebDriver StackTrace:
at OpenQA.Selenium.Firefox.FirefoxDriverServer.ConnectToBrowser(TimeSpan
timeToWait)
at OpenQA.Selenium.Firefox.FirefoxDriverServer.Start()
at OpenQA.Selenium.Firefox.FirefoxDriverCommandExecutor.Execute(Command
commandToExecute)
at OpenQA.Selenium.Remote.RemoteWebDriver.Execute(String driverCommandToExecute, Dictionary`2 parameters)
at OpenQA.Selenium.Remote.RemoteWebDriver.StartSession(ICapabilities
desiredCapabilities)
at OpenQA.Selenium.Remote.RemoteWebDriver..ctor(ICommandExecutor
commandExecutor, ICapabilities desiredCapabilities)
at OpenQA.Selenium.Firefox.FirefoxDriver..ctor(FirefoxBinary binary, FirefoxProfile profile, ICapabilities capabilities, TimeSpan
commandTimeout)
at OpenQA.Selenium.Firefox.FirefoxDriver..ctor(FirefoxBinary binary, FirefoxProfile profile, TimeSpan commandTimeout)
at OpenQA.Selenium.Firefox.FirefoxDriver..ctor(FirefoxBinary binary, FirefoxProfile profile)
at OpenQA.Selenium.Firefox.FirefoxDriver..ctor()
at SMT.Web.FunctionalTests.Drivers.Driver.GetWebDriver(Int32 browser, String page)

I was expecting to be able to run the tests as per normal.

Has anyone experiencing the same thing? How did you resolve the issue?

Selenium version: 2.41.0 (Installed as a Nuget Package)
OS: Windows 7
Browser: Firefox
Browser version: 32

  • You must to post comments
0
0

The latest Firefox version that Selenium 2.41.0 officially supports is 28. Downgrade your browser. According to the other answers, downgrading to Firefox 31 is enough to make it work.

It is always a good idea to have the latest selenium package installed. The strategy, though, is always the same – make sure that you are using the version supported by your selenium package browser.

See also:

  • You must to post comments
Showing 1 result
Your Answer
Post as a guest by filling out the fields below or if you already have an account.
Name*
E-mail*
Website